OpenVDB: SignData< TreeT, LeafManagerT > Class Template Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
SignData< TreeT, LeafManagerT > Class Template Reference

`#include <VolumeToMesh.h>`

## Public Types
typedef TreeT::ValueType | ValueT
typedef tree::ValueAccessor< const TreeT > | AccessorT
typedef TreeT::template ValueConverter< int >::Type | IntTreeT
typedef tree::ValueAccessor< IntTreeT > | IntAccessorT
typedef TreeT::template ValueConverter< Int16 >::Type | Int16TreeT
typedef tree::ValueAccessor< Int16TreeT > | Int16AccessorT

## Public Member Functions
| SignData (const TreeT &distTree, const LeafManagerT &leafs, ValueT iso)
void | run (bool threaded=true)
Int16TreeT::Ptr | signTree () const
IntTreeT::Ptr | idxTree () const
| SignData (SignData &, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &)
void | join (const SignData &rhs)

## Member Typedef Documentation

typedef tree::ValueAccessor<const TreeT> AccessorT

typedef tree::ValueAccessor<Int16TreeT> Int16AccessorT

typedef TreeT::template ValueConverter<Int16>::Type Int16TreeT

typedef tree::ValueAccessor<IntTreeT> IntAccessorT

typedef TreeT::template ValueConverter<int>::Type IntTreeT

typedef TreeT::ValueType ValueT

## Constructor & Destructor Documentation

SignData | ( | const TreeT & | distTree,
|  | const LeafManagerT & | leafs,
|  | ValueT | iso
| ) |  |

SignData | ( | SignData< TreeT, LeafManagerT > & | rhs,
|  | tbb::split |
| ) |  |

## Member Function Documentation

IntTreeT::Ptr idxTree | ( |  | ) | const
| inline

void join | ( | const SignData< TreeT, LeafManagerT > & | rhs | ) |
| inline

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |

void run | ( | bool | threaded = `true` | ) |

Int16TreeT::Ptr signTree | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- VolumeToMesh.h